Форум русскоязычного сообщества Ubuntu


Получить помощь и пообщаться с другими пользователями Ubuntu можно
на irc канале #ubuntu-ru в сети Freenode
и в Jabber конференции ubuntu@conference.jabber.ru

Автор Тема: Проблема с пакетами nvidia после обновления до нового ядра (5.15.6-051506)  (Прочитано 1900 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн serega-artem

  • Автор темы
  • Новичок
  • *
  • Сообщений: 17
    • Просмотр профиля
Добрый день всем! Обновил систему до ядра 5.15.6-051506. После этого она отказалась запускаться (черный экран). Установил драйвера nvidia-340 (как рекомендованные). Запустилось, но сейчас при запуске система ругается на неустановленные пакеты и просит выполнить

sudo apt-get install -f
Получаю вывод:
(Нажмите, чтобы показать/скрыть)

Пробовал вручную удалять файлы этих двух пакетов, после чего повторять команду - находит, скачивает, при установке падает опять в ошибку. И не очень понимаю почему 390, когда 340 установлен.

Всем заранее спасибо!



 

Оффлайн БТР

  • Заслуженный пользователь
  • СуперМодератор
  • Старожил
  • *
  • Сообщений: 5853
    • Просмотр профиля
serega-artem, какой дистрибутив? Откуда ставили ядро 5.15? Для чего в системе 32-разрядные пакеты? Ставили WINE?

Оффлайн serega-artem

  • Автор темы
  • Новичок
  • *
  • Сообщений: 17
    • Просмотр профиля
Дистрибутив:
Distributor ID: Ubuntu
Description: Ubuntu 21.10
Release: 21.10
Codename: impish

Ядро скачивал отсюда:
wget -c https://kernel.ubuntu.com/~kernel-ppa/mainline/v5.15.6/amd64/linux-headers-5.15.6-051506_5.15.6-051506.202112010437_all.deb
wget -c https://kernel.ubuntu.com/~kernel-ppa/mainline/v5.15.6/amd64/linux-headers-5.15.6-051506-generic_5.15.6-051506.202112010437_amd64.deb
wget -c https://kernel.ubuntu.com/~kernel-ppa/mainline/v5.15.6/amd64/linux-image-unsigned-5.15.6-051506-generic_5.15.6-051506.202112010437_amd64.deb
wget -c https://kernel.ubuntu.com/~kernel-ppa/mainline/v5.15.6/amd64/linux-modules-5.15.6-051506-generic_5.15.6-051506.202112010437_amd64.deb

Wine ставил еще до обновления ядра, для notepad++


Оффлайн БТР

  • Заслуженный пользователь
  • СуперМодератор
  • Старожил
  • *
  • Сообщений: 5853
    • Просмотр профиля
Ядро скачивал отсюда:
зачем?
Wine ставил еще до обновления ядра, для notepad++
Notepad++ есть в snap, а вообще рекомендую использовать нативный редактор, их много. Тот же Notepadqq.

Оффлайн serega-artem

  • Автор темы
  • Новичок
  • *
  • Сообщений: 17
    • Просмотр профиля
зачем?

Нашел в одном из руководств по обновлению Ubuntu. Что-то не так?

т.е. проблема ошибки пакетов кроется в wine?

shamanhuev

  • Гость
т.е. проблема ошибки пакетов кроется в wine?
Не так чтобы очень , но. Сказывается желание поставить всё самое новоё , и напихать туда ещё что нибудь сбоку. И все эти компоненты не обязательно захотят совпадать друг с другом.
Нашел в одном из руководств по обновлению Ubuntu.
А в этом руководстве не рекомендовали использовать LTS версии дистрибутивов ?
« Последнее редактирование: 02 Декабря 2021, 13:05:04 от shamanhuev »

Оффлайн serega-artem

  • Автор темы
  • Новичок
  • *
  • Сообщений: 17
    • Просмотр профиля
Ну конкретно руководство было вот это:

https://sypalo.com/%D0%BA%D0%B0%D0%BA-%D0%BE%D0%B1%D0%BD%D0%BE%D0%B2%D0%B8%D1%82%D1%8C-ubuntu

насчет tsl и wine, и напихать нового. Собственно на компьютере, на котором установлена система нет вообще ничего критичного.Если всё сломается окончательно - формат и по новой. Одна из целей как раз разобраться как всё это работает и на собственных ошибках научится, чем и занимаюсь. Я правильно понимаю, что проблемы с пакетами могут быть из-за:

- Дистрибутив новый и в нем много проблем.
- Установлен wine который плохо сказывается на системе (назовем это так)

Какие-то пути решения есть проблемы с пакетами?

shamanhuev

  • Гость
конкретно руководство было вот это:
Вчерашний пост Серёги и Жени для Васянов , с комментариями годичной давности. Кстати , там можно и задать свой вопрос.
Какие-то пути решения есть проблемы с пакетами?
Поставить просто Ubuntu.

Оффлайн c47

  • Активист
  • *
  • Сообщений: 356
    • Просмотр профиля
Кстати , там можно и задать свой вопрос.
Это да, классика.
"я установил [что-то] по рекомендациям [от Васяна/Коляна/друга], но оно работает [криво/косо/не работает/etc] и при установке разбил диск на /, /boot и /home-разделы, зашифровал /home, как теперь восстановить винду, которая стояла рядышком?"

это также божественно, как вопросы "лицензионный ключ, который я купил за 200р на ебее не подходит, что делать?" заданный на форуме MS

Оффлайн serega-artem

  • Автор темы
  • Новичок
  • *
  • Сообщений: 17
    • Просмотр профиля
Поставить просто Ubuntu.
Что есть просто Ubuntu? И чем моя Ubuntu не Ubuntu? Тем, что не TSL?

то также божественно, как вопросы "лицензионный ключ, который я купил за 200р на ебее не подходит, что делать?" заданный на форуме MS

Это сейчас о чём и к чему? Форум то ведь и есть для того, чтобы человек учился в первую очередь. Ну зашифровал он раздел по совету Васяна/Коляна - это же какой богатый опыт! Любое обучение - метод проб и ошибок. Я же не кричу "всё пропало помогите люди добрые". Конкретная ситуация, конкретный вопрос. Для того, чтобы разобраться, научиться решать проблемы. Я нашёл плохую инструкцию по обновлению системы? Ок, но гугол это выдает в первых позициях и так сделает ещё куча людей. Напишите, что конкретно не так и как сделать правильно - это будет полезно многим. Нет желания - ваше право, никто не неволит. Но к чему ответы в духе "идите туда, где карту получали" и называние всех кто только разбирается в linux  Васянами?

shamanhuev

  • Гость
Wine ставил еще до обновления ядра
компоненты не обязательно захотят совпадать друг с другом.
Ок, но гугол это выдает в первых позициях
У каждого дистрибутива есть официальные инструкции . Читать нужно их , а не статьи из гугла.

Оффлайн SergeyIT

  • Заслуженный пользователь
  • Старожил
  • *
  • Сообщений: 5459
  • Все по палатам!
    • Просмотр профиля
Для того, чтобы разобраться, научиться решать проблемы.
Для этого сначала надо научиться пользоваться тем, что есть. И не надо начинать с тестовых версий ОС. Они не для начинающих.
Кстати, в Ubuntu 22.04 (альфа версия) ядро пока используется 5.13. То есть разработчики Ubuntu еще сами не уверены в 5.16, а ты уверен? Не надо бежать впереди паровоза. ;)
Извините, я все еще учусь

Оффлайн jurganov

  • Старожил
  • *
  • Сообщений: 1098
    • Просмотр профиля
и не советовал бы ставить ubuntu с gnome3 - на этом форуме 90% вопросов - про косяки gnome3, а не собственно Ubuntu.
сразу ставь с нормальным DE - сам определишь какое тебе нравится

Онлайн AlexBKost

  • Старожил
  • *
  • Сообщений: 3591
  • Kubuntu 12.04, 16.04, 18.04, 20.04, 22.04, 23.04
    • Просмотр профиля
Кстати, в Ubuntu 22.04 (альфа версия) ядро пока используется 5.13
SergeyIT, вы ошибаетесь, на 22.04 ядро уже 5.15, правда из jammy-proposed, но и всю 22.04 можно назвать proposed-версией, (альфа версия) - это как-то очень скромно.
Я странен, а не странен кто ж? (С)

Оффлайн SergeyIT

  • Заслуженный пользователь
  • Старожил
  • *
  • Сообщений: 5459
  • Все по палатам!
    • Просмотр профиля
AlexBKost, я пропозед не ставлю )
Извините, я все еще учусь

 

Страница сгенерирована за 0.041 секунд. Запросов: 25.